package com.yd.api.agms.vo.practitioner;

import java.util.Date;

/**
 * @author xxy
 */
public class PractitionerFileSharingSaveRequestVO {
    /**
     * serial id
     */
    private Long id;

    /**
     * FK ag_md_drop_options_id文章分类
     */
    private String mdDropOptionId;

    /**
     * 文章内容html
     */
    private String fileContent;

    /**
     * 0=No, 1=Yes
     */
    private Integer isActive;

    private Long loginId;

    /**
     * 标题
     */
    private String title;

    /**
     * 摘要
     */
    private String digest;

    /**
     * 作者
     */
    private String author;

    /**
     * 封面地址
     */
    private String coverUrl;


    /**
     * 获取 serial id
     *
     * @return the id serial id
     */
    public Long getId() {
        return this.id;
    }

    /**
     * 设置 serial id
     *
     * @param id the serial id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取 FK ag_md_drop_options_id文章分类
     *
     * @return the mdDropOptionId FK ag_md_drop_options_id文章分类
     */
    public String getMdDropOptionId() {
        return this.mdDropOptionId;
    }

    /**
     * 设置 FK ag_md_drop_options_id文章分类
     *
     * @param mdDropOptionId the FK ag_md_drop_options_id文章分类 to set
     */
    public void setMdDropOptionId(String mdDropOptionId) {
        this.mdDropOptionId = mdDropOptionId;
    }

    /**
     * 获取 文章内容html
     *
     * @return the fileContent 文章内容html
     */
    public String getFileContent() {
        return this.fileContent;
    }

    /**
     * 设置 文章内容html
     *
     * @param fileContent the 文章内容html to set
     */
    public void setFileContent(String fileContent) {
        this.fileContent = fileContent;
    }

    /**
     * 获取 0=No 1=Yes
     *
     * @return the isActive 0=No 1=Yes
     */
    public Integer getIsActive() {
        return this.isActive;
    }

    /**
     * 设置 0=No 1=Yes
     *
     * @param isActive the 0=No 1=Yes to set
     */
    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    /**
     * 获取
     *
     * @return the loginId
     */
    public Long getLoginId() {
        return this.loginId;
    }

    /**
     * 设置
     *
     * @param loginId the  to set
     */
    public void setLoginId(Long loginId) {
        this.loginId = loginId;
    }


    /**
     * 获取 标题
     *
     * @return the title 标题
     */
    public String getTitle() {
        return this.title;
    }

    /**
     * 设置 标题
     *
     * @param title the 标题 to set
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取 摘要
     *
     * @return the digest 摘要
     */
    public String getDigest() {
        return this.digest;
    }

    /**
     * 设置 摘要
     *
     * @param digest the 摘要 to set
     */
    public void setDigest(String digest) {
        this.digest = digest;
    }

    /**
     * 获取 作者
     *
     * @return the author 作者
     */
    public String getAuthor() {
        return this.author;
    }

    /**
     * 设置 作者
     *
     * @param author the 作者 to set
     */
    public void setAuthor(String author) {
        this.author = author;
    }

    /**
     * 获取 封面地址
     *
     * @return the coverUrl 封面地址
     */
    public String getCoverUrl() {
        return this.coverUrl;
    }

    /**
     * 设置 封面地址
     *
     * @param coverUrl the 封面地址 to set
     */
    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    @Override
    public String toString() {
        return "PractitionerFileSharingSaveRequestVO{" +
                "id=" + id +
                ", mdDropOptionId=" + mdDropOptionId +
                ", fileContent='" + fileContent + '\'' +
                ", isActive=" + isActive +
                ", loginId=" + loginId +
                ", title='" + title + '\'' +
                ", digest='" + digest + '\'' +
                ", author='" + author + '\'' +
                ", coverUrl='" + coverUrl + '\'' +
                '}';
    }
}
